import FieldCoreBase, { IPropsFieldBase } from '@react-form-fields/core/components/FieldCoreBase';
import { DatePickerModalProps } from 'material-ui-pickers/DatePicker/DatePickerModal';
import * as React from 'react';
import { IBaseFieldProps } from '../interfaces/props';
declare type PropsResolver = {
    [K in Exclude<keyof IPropsFieldBase, keyof DatePickerModalProps | 'mask'>]?: IPropsFieldBase[K];
};
interface IProps extends PropsResolver, IBaseFieldProps {
    value: Date;
    helperText?: React.ReactNode;
    onChange: (value: Date) => void;
    minDate?: Date;
    maxDate?: Date;
    disablePast?: boolean;
    disableFuture?: boolean;
    format?: string;
    keepTime?: boolean;
}
export default class FieldDate extends FieldCoreBase<IProps> {
    removeTime: (date: Date) => Date;
    onChange: (date?: Date) => void;
    onBlur: (e: any) => void;
    render(): JSX.Element;
}
export {};
